%define name seahorse
%define version 0.3.6
%define release 1mdk

Name:		%{name}
Summary:	Seahorse is a GNOME frontend to GnuPG
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Graphical desktop/GNOME
URL:		http://www1.kcn.ne.jp/~anthony/seahorse/
Source:		%{name}-%{version}.tar.bz2
Requires:	gnupg
BuildRoot:	/var/tmp/%{name}-%{version}
Prefix:		/usr
Packager:	Vincent Danen <vdanen@linux-mandrake.com>

%description
Seahorse is a Gnome front end for the GNU Privacy Guard ecryption tool. It can 
be used for file encryption and decryption and for digitally signing files and 
for verifying those signatures. Key management options are also included. Both 
English and Japanese is support is provided.
NOTE: NO CRYPTO STUFF IN THIS PACKAGE

%prep
%setup -q

%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
make prefix=%{prefix} DESTDIR=$RPM_BUILD_ROOT install

#mkdir -p $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}
#cp -f AUTHORS COPYING ChangeLog INSTALL NEWS README $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/usr/man/man1/seahorse.1*
/usr/bin/seahorse
/usr/share/gnome/apps/Applications/seahorse.desktop
/usr/share/pixmaps/seahorse/seahorse.png


%changelog
* Mon Apr 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.6-1mdk
- fix group
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3.6
- specfile changes for spec-helper

* Fri Feb 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- bzip manpages
